Create or update an invoice based fee
1 min
POST
https://app.amberflo.io/payments/pricing/amberflo/account-pricing/invoice-based-fees
Body Parameters
- bodypayment.pricing.invoice_based_fees.InvoiceBasedFee.in
- objectpayment.pricing.invoice_based_fees.ConstantInvoiceRatioFee.in
- typestringDefaultconstant_invoice_ratio_fee
- productIdstring
- idstring
- namestring
- descriptionstring
- lockingStatuscom.amberflo.service.common.LockingStatus.in
- lastUpdateTimeInMillisinteger<int64>
- percentsOfInvoicenumber
- minimumFeePerFullCyclenumber
Responses
200
- payment.pricing.invoice_based_fees.InvoiceBasedFee.out
- objectpayment.pricing.invoice_based_fees.ConstantInvoiceRatioFee.out
- typestringDefaultconstant_invoice_ratio_fee
- productIdstring
- idstring
- namestring
- descriptionstring
- lockingStatuscom.amberflo.service.common.LockingStatus.out
- lastUpdateTimeInMillisinteger<int64>
- percentsOfInvoicenumber
- minimumFeePerFullCyclenumber
curl
curl --request POST \
--url https://app.amberflo.io/payments/pricing/amberflo/account-pricing/invoice-based-fees \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "constant_invoice_ratio_fee"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"type": "constant_invoice_ratio_fee"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/invoice-based-fees", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/pricing/amberflo/account-pricing/invoice-based-fees")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"type": "constant_invoice_ratio_fee"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/pricing/amberflo/account-pricing/invoice-based-fees"
payload = json.dumps({
"type": "constant_invoice_ratio_fee"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{}